天道酬勤,学无止境

Faq_flask : AttributeError: ‘module’ object has no attribute ‘autoescape’

原文地址: http://www.suzf.net/thread-0613-153.html

转载须注明原始出处


前些天从 “spider_net” 上找了一篇文章 , 大致就是利用 highcharts + flask + mysql 构建的一个简单的监控系统 ,
经过几番挣扎终于还是给捣持出来了 , 现在总结一下 , 分享给大家 .   o_O

部分报错信息:

* Detected change in ‘flask_web.py’, reloading
* Restarting with reloader
X.X.X.X – – [11/Jun/2015 15:24:14] “GET / HTTP/1.1″ 500 –
Traceback (most recent call last):


File “/usr/lib64/python2.6/site-packages/jinja2/utils.py”, line 195, in import_string
return getattr(__import__(module, None, None, [obj]), obj)
AttributeError: ‘module’ object has no attribute ‘autoescape’



解决办法:
yum install python-pip -y
pip install --upgrade jinja2


redhat 官方宣称这是一个bug , for more :
https://bugzilla.redhat.com/show_bug.cgi?id=799087


受限制的 HTML

  • 允许的HTML标签:<a href hreflang> <em> <strong> <cite> <blockquote cite> <code> <ul type> <ol start type> <li> <dl> <dt> <dd> <h2 id> <h3 id> <h4 id> <h5 id> <h6 id>
  • 自动断行和分段。
  • 网页和电子邮件地址自动转换为链接。

相关推荐
  • AttributeError:“模块”对象没有属性“ [x]”(AttributeError: 'module' object has no attribute '[x]')
    问题 我正在尝试制作一个脚本,将您桌面中的所有.txt文件移动到desktop / org,代码如下: import os import shutil userhome = os.path.expanduser('~') src = userhome + '/Desktop/' dst = src+ 'org/' def main(): txtlist = os.listdir(src) for file in txtlist: sortFiles(file) def sortFiles(file): if file.endswith(".txt"): shutil.move(src+file,dst) main() 如果执行.py,则会出现以下错误: AttributeError:'module'对象没有属性'copy' 。 但是,如果我删除最后一行“ main()”,然后将此脚本作为模块导入到python命令行中,然后从那里调用.main(),则效果很好。 我怎样才能使它作为脚本工作? Traceback (most recent call last): File "C:\Python32\org.py", line 3, in <module> import shutil File "C:\Python32\lib\shutil.py", line 14, in
  • AttributeError:“ RegexURLResolver”对象没有属性“ _urlconf_module”(AttributeError: 'RegexURLResolver' object has no attribute '_urlconf_module')
    问题 我的哨兵例外情况不断出现以下错误 AttributeError: 'RegexURLResolver' object has no attribute '_urlconf_module' 跟踪仅指向带有django代码库的代码,而没有指向应用程序中的任何位置。 我的日志也很干净。 这可能是什么原因? raise Resolver404({'path' : path}) @property def urlconf_module(self): try: return self._urlconf_module except AttributeError: self._urlconf_module = import_module(self.urlconf_name) return self._urlconf_module @property 'self' <RegexURLResolver urls (None:None) ^/> 回答1 否则,在Internet上,我发现了这一点: 该问题是由于导入排序问题引起的,在示例代码中,您调用urlresolvers.reverse将加载example / urls.py,这将触发admin.autodiscover()调用,该调用将加载social / apps / django_app / default / admin.py
  • python error “AttributeError: 'module' object has no attribute 'sha1'”
    i need your help, How to correct an error AttributeError: 'module' object has no attribute 'sha1', When I start the command example import random or import hashlib I get such a result root@thinkad:~# python Python 2.7.3 (default, Jan 2 2013, 13:56:14) [GCC 4.7.2] on linux2 Type "help", "copyright", "credits" or "license" for more information. >>> import random Traceback (most recent call last): File "<stdin>", line 1, in <module> File "/usr/lib/python2.7/random.py", line 49, in <module> import hashlib as _hashlib File "hashlib.py", line 3, in <module> hasher = hashlib.sha1() AttributeError:
  • 不能使用scikit-learn-“ AttributeError:'模块'对象没有属性……”(can't use scikit-learn - “AttributeError: 'module' object has no attribute …”)
    问题 我正在尝试遵循scikit-learn(线性回归)的教程。 我已经通过pip install -U scikit-learn ,我使用python 2.7和Ubuntu 13.04 当我尝试运行第一行代码时,会出现错误,并且每次我尝试使用scikit-learn运行任何内容时都会发生此错误。 import pylab as pl import numpy as np from sklearn import datasets, linear_model # Load the diabetes dataset diabetes = datasets.load_diabetes() 我得到以下内容: AttributeError: 'module' object has no attribute 'load_diabetes' 当我尝试时: regr = linear_model.LinearRegression() 我得到: AttributeError: 'module' object has no attribute 'LinearRegression' 在我看来,这是由于我使用了错误的软件包(但我已经从他们的教程复制而来),或者是我安装了错误的东西(但软件包已成功加载)。 有人可以帮忙吗? 回答1 导致此问题(不是OP的代码问题)的另一个原因-但引起我注意的一个原因
  • AttributeError: module 'numpy' has no attribute '__version__'
    I updated my computer today, and am getting the following error message when I attempt to import pandas: import pandas as pd AttributeError: module 'numpy' has no attribute '__version__' I have tried the suggestions from the following links: AttributeError: 'module' object has no attribute '__version__' AttributeError: 'module' object has no attribute '__version__' I do not have any files names numpy.py other than the numpy package. I am running anaconda2 within windows 10, and have created a python 3.5 virtual environment. Following is the full error message: Python 3.5.5 | packaged by conda
  • python错误“ AttributeError:'模块'对象没有属性'sha1'”(python error “AttributeError: 'module' object has no attribute 'sha1'”)
    问题 我需要你的帮助, 如何更正错误AttributeError:“模块”对象没有属性“ sha1”, 当我启动命令示例import random或import hashlib时,我得到了这样的结果 root@thinkad:~# python Python 2.7.3 (default, Jan 2 2013, 13:56:14) [GCC 4.7.2] on linux2 Type "help", "copyright", "credits" or "license" for more information. >>> import random Traceback (most recent call last): File "<stdin>", line 1, in <module> File "/usr/lib/python2.7/random.py", line 49, in <module> import hashlib as _hashlib File "hashlib.py", line 3, in <module> hasher = hashlib.sha1() AttributeError: 'module' object has no attribute 'sha1' >>> import math >>> import hashlib Traceback
  • AttributeError:“模块”对象没有属性“ urlretrieve”(AttributeError: 'module' object has no attribute 'urlretrieve')
    问题 我正在尝试编写一个程序,该程序将从网站上下载mp3,然后将它们加入在一起,但是每当我尝试下载文件时,都会出现此错误: Traceback (most recent call last): File "/home/tesla/PycharmProjects/OldSpice/Voicemail.py", line 214, in <module> main() File "/home/tesla/PycharmProjects/OldSpice/Voicemail.py", line 209, in main getMp3s() File "/home/tesla/PycharmProjects/OldSpice/Voicemail.py", line 134, in getMp3s raw_mp3.add = urllib.urlretrieve("http://www-scf.usc.edu/~chiso/oldspice/m-b1-hello.mp3") AttributeError: 'module' object has no attribute 'urlretrieve' 导致此问题的行是 raw_mp3.add = urllib.urlretrieve("http://www-scf.usc.edu/~chiso/oldspice/m-b1-hello.mp3")
  • AttributeError:“模块”对象(scipy)没有属性***为什么会发生此错误?(AttributeError: 'module' object (scipy) has no attribute *** Why does this error occur?)
    问题 在科学上,错误经常发生。 >>> import scipy >>> scipy.integrate.trapz(gyroSeries, timeSeries) Traceback (most recent call last): File "<stdin>", line 1, in <module> AttributeError: 'module' object has no attribute 'integrate' >>> 我通过执行以下操作找出了解决此问题的方法: >>> >>> import scipy.integrate >>> scipy.integrate.trapz(gyroSeries, timeSeries) >>> 1.2 我的问题: 为什么会发生错误? 为什么会解决该错误? 回答1 最有可能的原因是scipy是一个包含模块的库(包),并且要从scipy库导入特定的模块,您需要指定它并导入模块本身。 由于它是一个单独的模块(子包),因此一旦导入,就可以使用常规的scipy.module.attribute获得其属性。 回答2 为了解决该错误,请在脚本顶部添加以下行 from scipy import integrate
  • 安装functools给我AttributeError'模块'对象没有属性'compose'(Installing functools gives me AttributeError 'module' object has no attribute 'compose')
    问题 我在新系统上安装了64位Ubuntu 12.04,但无法安装functools。 我已经安装了多次,但不记得收到此错误,并且无法通过Google找到任何解决方案。 我需要做什么? (myvenv)bobs@myvenv:~$ pip install functools Downloading/unpacking functools Downloading functools-0.5.tar.gz Running setup.py egg_info for package functools Traceback (most recent call last): File "<string>", line 3, in <module> File "/home/bobs/.virtualenvs/myvenv/local/lib/python2.7/site-packages/setuptools/__init__.py", line 2, in <module> from setuptools.extension import Extension, Library File "/home/bobs/.virtualenvs/myvenv/local/lib/python2.7/site-packages/setuptools/extension.py", line 5, in
  • AttributeError:“模块”对象(scipy)没有属性“ misc”(AttributeError: 'module' object (scipy) has no attribute 'misc')
    问题 我从ubuntu 12.04更新到ubuntu 12.10,我突然编写的python模块不再与模块scipy没有属性'misc'的错误消息一起工作。 这以前工作。 更新后我仍在使用python 2.7。 这是代码崩溃的地方 import scipy scipy.misc.imsave(slice,dat) 有任何想法吗? 回答1 >>> import scipy >>> scipy.misc Traceback (most recent call last): File "<stdin>", line 1, in <module> AttributeError: 'module' object has no attribute 'misc' >>> >>> >>> import scipy.misc >>> scipy.misc.imsave <function imsave at 0x19cfa28> >>> 在scipy似乎很常见。 回答2 因为您不能直接从scipy使用misc模块,而无需显式导入它。 这是加载scipy.misc的方法: import scipy.misc #Load the Lena image into an array, (yes scipy does have a lena function) lena = scipy.misc.lena()
  • Python AttributeError:“模块”对象没有属性“串行”(Python AttributeError: 'module' object has no attribute 'Serial' [duplicate])
    问题 这个问题已经在这里有了答案: 从脚本导入已安装的软件包会引发“ AttributeError:模块没有属性”或“ ImportError:无法导入名称” (3个答案) 2年前关闭。 我正在尝试在运行Debian的Raspberry Pi上使用Python 2.6访问串行端口。 我的名为serial.py脚本尝试导入pySerial: import serial ser = serial.Serial('/dev/ttyAMA0', 9600) ser.write("hello world!") 由于某些原因,它拒绝建立带有此错误的串行连接: AttributeError: 'module' object has no attribute 'Serial' 当我尝试在交互式Python解释器中键入相同的代码时,它仍然不起作用。 奇怪的是,它曾经在大约两个小时前工作。 可能是什么问题呢? 我已经尝试修复了一段时间,再次安装pySerial,重写我的代码,仔细检查了串行端口等。 提前致谢! 回答1 您要导入模块,而不是类。 因此,您必须写: from serial import Serial 您需要正确安装serial模块: pip install pyserial 。 回答2 我正在为与我一样犯同样错误的人添加此解决方案。 在大多数情况下:重命名项目文件“ serial.py
  • AttributeError:“模块”对象没有属性(使用cPickle时)(AttributeError: 'module' object has no attribute (when using cPickle))
    问题 我正在尝试使用cPickle在远程环境中加载该功能。 但是我得到了错误“模块对象没有属性...”。 我真正陷入困境的地方是,即使无法加载,命名空间也已经包含了该属性,请帮助 import inspect import cPickle as pickle from run import run def get_source(func): sourcelines = inspect.getsourcelines(func)[0] sourcelines[0] = sourcelines[0].lstrip() return "".join(sourcelines) def fun(f): return f() def fun1(): return 10 funcs = (fun, fun1) sources = [get_source(func) for func in funcs] funcs_serialized = pickle.dumps((fun.func_name,sources),0) args_serialized = pickle.dumps(fun1,0) #Creating the Environment where fun & fun1 doesnot exist del globals()['fun'] del globals()['fun1'] r =
  • AttributeError:“模块”对象没有属性“ ORB”(AttributeError: 'module' object has no attribute 'ORB')
    问题 当我运行我的python代码时 import numpy as np import cv2 import matplotlib.pyplot as plt img1 = cv2.imread('/home/shar/home.jpg',0) # queryImage img2 = cv2.imread('/home/shar/home2.jpg',0) # trainImage # Initiate SIFT detector orb = cv2.ORB() # find the keypoints and descriptors with SIFT kp1, des1 = orb.detectAndCompute(img1,None) kp2, des2 = orb.detectAndCompute(img2,None) # create BFMatcher object bf = cv2.BFMatcher(cv2.NORM_HAMMING, crossCheck=True) # Match descriptors. matches = bf.match(des1,des2) # Sort them in the order of their distance. matches = sorted(matches, key = lambda x:x.distance) #
  • AttributeError:“模块”对象没有属性“ setdefaultencoding”(AttributeError: 'module' object has no attribute 'setdefaultencoding')
    问题 我尝试安装xadmin(这是django的插件,用于将backoffice与twitter的引导程序一起使用)。 但是当我运行项目时,我的PyCharm终端出现以下错误: File "C:\Python34\lib\site-packages\xadmin\sites.py", line 10, in <module> sys.setdefaultencoding("utf-8") AttributeError: 'module' object has no attribute 'setdefaultencoding' 这是xadmin插件中sites.py的源代码摘录: import sys from functools import update_wrapper from django.conf import settings from django.core.exceptions import ImproperlyConfigured from django.db.models.base import ModelBase from django.views.decorators.cache import never_cache from imp import reload reload(sys) sys.setdefaultencoding("utf-8")
  • python-opencv AttributeError:“模块”对象没有属性“ createBackgroundSubtractorGMG”(python-opencv AttributeError: 'module' object has no attribute 'createBackgroundSubtractorGMG')
    问题 我正在尝试按照以下教程进行操作:https://opencv-python-tutroals.readthedocs.org/en/latest/py_tutorials/py_video/py_bg_subtraction/py_bg_subtraction.html 在尝试第三个示例(BackgroundSubtractorGMG)时,出现此错误: AttributeError: 'module' object has no attribute 'createBackgroundSubtractorGMG' 对于前面的示例,我也遇到了相同的错误。 但是我遵循了这篇文章中给出的解释。 有些方法,同样的技巧在这里不起作用。 如果有人设法解决了这个问题,请帮帮我。 在Ubuntu 12.04上使用Python 2.7.3和opencv 2.4.6.1 回答1 哦,亲爱的,这就是那些故事的又一个... 在2.4.6中,您只能使用python中的BackgroundSubtractorMOG。 (句号) 从2.4.8版本开始,BackgroundSubtractorMOG2问题似乎已解决,但BackgroundSubtractorGMG仍然缺失。 对于这两个版本,您都可以使用普通的构造函数来创建一个。 在3.0(主版)中,他们更改了语法,现在您必须调用“
  • Opencv3 and Python 2.7 on Virtual Environment - AttributeError: 'module' object has no attribute 'createLBPHFaceRecognizer'
    I have a python function with opencv 3. it works without virtual environment.Also I installed opencv on venv from:pyimagesearch. i am trying to run that python function on venv, then it gives an error : AttributeError: 'module' object has no attribute 'createLBPHFaceRecognizer' without venv in terminal: gkhan@Gkan ~/Masaüstü/face_recognizer $ python face_recognizer.py Yol :./sinif/114.jpg. 114 Yuz Tanindi 12 with venv in terminal: gkhan@Gkan ~/Masaüstü/face_recognizer $ workon cv (cv)gkhan@Gkan ~/Masaüstü/face_recognizer $ python face_recognizer.py Traceback (most recent call last): File "face
  • Python 3:AttributeError:“模块”对象在终端中使用urllib时没有属性“ __path__”(Python 3: AttributeError: 'module' object has no attribute '__path__' using urllib in terminal)
    问题 我的代码在PyCharm中运行完美,但是在尝试在终端中打开它时出现错误消息。 我的代码出什么问题了,或者我在哪里出错了? import urllib.request with urllib.request.urlopen('http://python.org/') as response: html = response.read() print(html) 终端输出: λ python Desktop\url1.py Traceback (most recent call last): File "<frozen importlib._bootstrap>", line 2218, in _find_and_load_unlocked AttributeError: 'module' object has no attribute '__path__' During handling of the above exception, another exception occurred: Traceback (most recent call last): File "Desktop\url1.py", line 1, in <module> import urllib.request File "C:\Users\Przemek\Desktop\urllib.py"
  • AttributeError:“模块”对象没有属性“ pydebug”(AttributeError: 'module' object has no attribute 'pydebug')
    问题 尝试运行python脚本时,出现错误AttributeError: 'module' object has no attribute 'pydebug' 。 我正在使用Python 2.6。 完整错误: File "/lib/python2.6/distutils/sysconfig.py", line 238, in get_makefile_filename return os.path.join(lib_dir, "config" + (sys.pydebug and "_d" or ""), "Makefile") AttributeError: 'module' object has no attribute 'pydebug' 回答1 我认为无论您要运行什么,都期望将其与python的特殊调试版本一起使用。 sys.pydebug通常在sys模块的标准版本中找不到,并且我相信,如果您构建了调试python,它将在那里: http://docs.python.org/c-api/intro.html#debugging-builds 这可能也可能是Debian / Ubuntu发行版正在使用的特定构建的一部分。 回答2 尝试在自己构建的python上运行Ubuntu 12.04.1系统gdb时遇到此问题。 我希望Ubuntu在系统gdb中建立一些挂钩
  • AttributeError:“模块”对象没有属性“ cbook”(AttributeError: 'module' object has no attribute 'cbook')
    问题 我正在尝试运行一个简单的代码,并且在Canopy中安装了matplotlib和numpy的所有依赖项。 还是我出错了。 import cv2 import numpy as np import matplotlib.pyplot as plt x = cv2.imread('jay.jpg') plt.imshow(x, cmap = 'gray', interpolation = 'bicubic') plt.xticks([]), plt.yticks([]) # to hide tick values on X and Y axis plt.show() 错误: %run "c:\users\jay\appdata\local\temp\tmppvibq9.py" --------------------------------------------------------------------------- AttributeError Traceback (most recent call last) c:\users\jay\appdata\local\temp\tmppvibq9.py in <module>() 2 import numpy as np 3 import matplotlib.cbook ----> 4 import matplotlib
  • AttributeError: 'module' object has no attribute 'pydebug'
    When trying to run a python script, I get the error AttributeError: 'module' object has no attribute 'pydebug'. I am using Python 2.6. Full error: File "/lib/python2.6/distutils/sysconfig.py", line 238, in get_makefile_filename return os.path.join(lib_dir, "config" + (sys.pydebug and "_d" or ""), "Makefile") AttributeError: 'module' object has no attribute 'pydebug'